Logoelepay
Sources

Retrieve source

カスタマ情報を取得します。

GET
/customers/{customerId}/sources/{sourceId}
Customer ID
Source ID

Response Body

application/json

OK

TypeScript Definitions

Use the response body type in TypeScript.

response?SourceDto

カスタマソースオブジェクト

curl -X GET "https://api.elepay.io/customers/string/sources/string"
{
  "id": "string",
  "object": "source",
  "liveMode": true,
  "paymentMethod": "alipay",
  "resource": "web",
  "description": "string",
  "extra": {},
  "info": {},
  "cardInfo": {
    "brand": "string",
    "last4": "string",
    "expMonth": 0,
    "expYear": 0,
    "name": "string",
    "issuerCode": "string",
    "issuerName": "string",
    "wallet": "string",
    "walletApp": "string",
    "repaymentType": "string",
    "approvalCode": "string",
    "threeDSecure": true,
    "threeDSecureVersion": "string",
    "threeDSecureDetail": "string",
    "businessType": "string",
    "konbiniScanTime": 0,
    "konbiniType": "string",
    "receivedAmount": 0,
    "receivedTime": 0,
    "bankUserCode": "string",
    "bankUserName": "string",
    "bankName": "string",
    "bankBranchName": "string",
    "bankAccountNo": "string",
    "billingNo": "string"
  },
  "metadata": {},
  "credential": "string",
  "status": "pending"
}